Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class SpaceAfterCommaAstVisitor

- groovy.org.codenarc.rule.formatting.SpaceAfterCommaAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)`
    `` | `void` | `visitConstructorCallExpression(org.codehaus.groovy.ast.expr.ConstructorCallExpression call)`
    `` | `protected void` | `visitConstructorOrMethod(org.codehaus.groovy.ast.MethodNode node, boolean isConstructor)`
    `` | `void` | `visitListExpression(org.codehaus.groovy.ast.expr.ListExpression listExpression)`
    `` | `void` | `visitMapExpression(org.codehaus.groovy.ast.expr.MapExpression mapExpression)`
    `` | `void` | `visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)`

- - ### Method Detail

    - #### @Override void visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)

    - #### @Override void visitConstructorCallExpression(org.codehaus.groovy.ast.expr.ConstructorCallExpression call)

    - #### @Override protected void visitConstructorOrMethod(org.codehaus.groovy.ast.MethodNode node, boolean isConstructor)

    - #### @Override void visitListExpression(org.codehaus.groovy.ast.expr.ListExpression listExpression)

    - #### @Override void visitMapExpression(org.codehaus.groovy.ast.expr.MapExpression mapExpression)

    - #### @Override void visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)